@switstack/swittest-api-ts
    Preparing search index...

    Function TestApiFactory

    • TestApi - factory interface

      Parameters

      • Optionalconfiguration: Configuration
      • OptionalbasePath: string
      • Optionalaxios: AxiosInstance

      Returns {
          getTest(
              requestParameters: TestApiGetTestRequest,
              options?: RawAxiosRequestConfig,
          ): AxiosPromise<TestSchema>;
          getTestConfig(
              requestParameters: TestApiGetTestConfigRequest,
              options?: RawAxiosRequestConfig,
          ): AxiosPromise<ConfigSchema>;
          getTestVcard(
              requestParameters: TestApiGetTestVcardRequest,
              options?: RawAxiosRequestConfig,
          ): AxiosPromise<VCardSchema>;
          runTestCustom(
              requestParameters: TestApiRunTestCustomRequest,
              options?: RawAxiosRequestConfig,
          ): AxiosPromise<TestResultSchema>;
          runTests(
              requestParameters: TestApiRunTestsRequest,
              options?: RawAxiosRequestConfig,
          ): AxiosPromise<void>;
      }

      • getTest: function
        • Parameters

          • requestParameters: TestApiGetTestRequest

            Request parameters.

          • Optionaloptions: RawAxiosRequestConfig

            Override http request option.

          Returns AxiosPromise<TestSchema>

      • getTestConfig: function
      • getTestVcard: function
      • runTestCustom: function
        • Verbose mode levels: - Level 0: Status and errors only
          - Level 1: Level 0 + payment data and log data sets
          - Level 2: Level 1 + parsed authorization TLV in payment data
          - Level 3: Level 2 + parsed DF8129, DF8115, and DF8116 tags

          Parameters

          Returns AxiosPromise<TestResultSchema>

      • runTests: function
        • This endpoint runs one or more tests from a specified test suite. The response is streamed in real-time using Server-Sent Events (SSE) to provide continuous updates on the test execution status. Possible test selection values: - A single test name
          - An index: 1036
          - A list of indexes: 0, 99, 1036
          - A range: 0-5
          - A list of ranges: 0-5, 15-40
          - A combination of ranges and indexes: 0-5, 8, 9, 15-40
          - Select all tests with the value all

          Verbose mode levels: - Level 0: Status and errors only
          - Level 1: Level 0 + payment data and log data sets
          - Level 2: Level 1 + parsed authorization TLV in payment data
          - Level 3: Level 2 + parsed DF8129, DF8115, and DF8116 tags

          Parameters

          • requestParameters: TestApiRunTestsRequest

            Request parameters.

          • Optionaloptions: RawAxiosRequestConfig

            Override http request option.

          Returns AxiosPromise<void>